[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMap.InsertKey

Insert a new key in the list

## Declaration

Source position: fgl.pp line 330

`public procedure TFPGMap.InsertKey(`
`Index: Integer;`
`const AKey: TKey`
`);`

## Arguments

`Index` |  | Index at which to insert AKey
`AKey` |  | Key to insert in the list.

## Description

InsertKey inserts key AKey at position Index in the list. It is not allowed to insert a key in a sorted list.

## Errors

If the index AIndex is out of range [0..Count-1], or the list is sorted, an EListError exception will be raised.

## See also

TFPGMap.InsertKeyData |  | Insert a new key with associated data in the list
TFPGMap.Add |  | Add a key and value to the map
TFPSMap.Delete
TFPSMap.Remove |  | Remove a key/value pair from the map.